#!/bin/sh

# This program copies the game data from the Quake2 CD into the
# appropriate places for playing Q2 under the BeOS.

if [ ! -f ./quake2 ]
then
	echo "ERROR:  this program must be run from within the"
	echo "        BeOS Quake2 installation directory."
	exit 1
fi

Q2DIR=$(pwd)
pushd /Quake2/INSTALL/DATA/ > /dev/null

for f in LICENSE.TXT DOCS $(find BASEQ2 | egrep -v \.DLL)
do
	lcf=$(echo $f | tr [:upper:] [:lower:])
	if [ -d $f ]
	then
		mkdir -p ${Q2DIR}/${lcf}
	else
		cp $f ${Q2DIR}/${lcf}
	fi
done

popd > /dev/null
