#!/bin/sh

# This program copies the game data from the "Q2: Ground Zero" CD into the
# appropriate places for playing this mission pack under the BeOS.

if [ ! -f ./quake2 ]
then
	echo "ERROR:  this program must be run from within the"
	echo "        BeOS Quake2 installation directory."
	exit 1
fi

Q2DIR=$(pwd)
ROGUEDIR=${Q2DIR}/rogue
pushd /GRNDZERO/DATA > /dev/null

cd ./ALL
for f in PAK0.PAK $(find DOCS)
do
	lcf=$(echo $f | tr [:upper:] [:lower:])
	if [ -d $f ]
	then
		mkdir -p ${ROGUEDIR}/${lcf}
	else
		cp $f ${ROGUEDIR}/${lcf}
	fi
done

cd ../MAX/ROGUE
for f in $(find VIDEO)
do
	lcf=$(echo $f | tr [:upper:] [:lower:])
	if [ -d $f ]
	then
		mkdir -p ${ROGUEDIR}/${lcf}
	else
		cp $f ${ROGUEDIR}/${lcf}
	fi
done

cd ../../PATCH
for f in $(find BASEQ2 | egrep -v \.DLL) $(find CTF | egrep -v \.DLL)
do
	lcf=$(echo $f | tr [:upper:] [:lower:])
	if [ -d $f ]
	then
		mkdir -p ${Q2DIR}/${lcf}
	else
		cp $f ${Q2DIR}/${lcf}
	fi
done

popd > /dev/null
