#!/bin/sh

# This program copies the game data from the "Q2: The Reckoning" CD into the
# appropriate places for playing this mission pack under the BeOS.

if [ ! -f ./quake2 ]
then
	echo "ERROR:  this program must be run from within the"
	echo "        BeOS Quake2 installation directory."
	exit 1
fi

Q2DIR=$(pwd)
XDIR=${Q2DIR}/xatrix
pushd /Q2MP1/DATA > /dev/null

cd ./ALL
for f in PAK0.PAK $(find DOCS)
do
	lcf=$(echo $f | tr [:upper:] [:lower:])
	if [ -d $f ]
	then
		mkdir -p ${XDIR}/${lcf}
	else
		cp $f ${XDIR}/${lcf}
	fi
done

cd ../MAX/XATRIX
for f in $(find VIDEO)
do
	lcf=$(echo $f | tr [:upper:] [:lower:])
	if [ -d $f ]
	then
		mkdir -p ${XDIR}/${lcf}
	else
		cp $f ${XDIR}/${lcf}
	fi
done

cd ../../PATCH
for f in LICENSE.TXT $(find BASEQ2 | egrep -v \.DLL) $(find DOCS)
do
	lcf=$(echo $f | tr [:upper:] [:lower:])
	if [ -d $f ]
	then
		mkdir -p ${Q2DIR}/${lcf}
	else
		cp $f ${Q2DIR}/${lcf}
	fi
done

popd > /dev/null
