#!/bin/sh

# This script converts files in all subdirectories of the current directory
# to lower-case names.  Directories with mixed or upper case names are
# left empty, while corresponding directories with lower-case-only names
# are created to hold the files.

for d in $(find . -type d)
do
	lcd=$(echo $d | tr [:upper:] [:lower:])
	mkdir -p ${lcd}

	for f in $d/*
	do
		lcf=$(echo $f | tr [:upper:] [:lower:])
		if [ $f != ${lcf} ]
		then
			mv $f ${lcf}
		fi
	done
done
